import { CreateTicketRequest, CreateTicketResponse } from "../model/ticket";
import { makeRequest } from "./makeRequest";


export function createTicket({ url, body, useToken = true }: {
    url: string;
    body: CreateTicketRequest;
    useToken?: boolean;
}): Promise<CreateTicketResponse> {
    return makeRequest({
        url,
        method: "POST",
        useToken,
        body,
        withCredentials: true,
    });
}